<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "zhongji_user_t".
 *
 * @property int $id
 * @property int $celuo_id
 * @property int $user_id
 * @property string $created_at
 * @property string $updated_at
 */
class ZhongjiUserT extends \common\models\Base
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'zhongji_user_t';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['celuo_id', 'user_id'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'celuo_id' => 'Celuo ID',
            'user_id' => 'User ID',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }

    public function getUser() {
        return $this->hasOne(UserT::className(),['id'=>'user_id']);
    }
}
